/* GENERAL */

@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600&display=swap');

* {
    margin: 0;
    padding: 0;
}

body {
    font-family: "Poppins", sans-serif;
    font-weight: 400;
    font-style: normal;
}

/* Font weight utility classes */
.poppins-light {
    font-family: "Poppins", sans-serif;
    font-weight: 300;
    font-style: normal;
}

.poppins-regular {
    font-family: "Poppins", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.poppins-medium {
    font-family: "Poppins", sans-serif;
    font-weight: 500;
    font-style: normal;
}

.poppins-semibold {
    font-family: "Poppins", sans-serif;
    font-weight: 600;
    font-style: normal;
}

html {
    scroll-behavior: smooth;
}

p {
    color: rgb(85, 85, 85);
}

a, .btn {
    transition: all 0.3s ease;
}

nav, .nav-links {
    display: flex;
}

nav {
    justify-content: space-between;
    align-items: center;
    height: 7vh;
    padding: 0.5rem 10rem;
}

.nav-links a {
    padding: 0 1rem;
}

.nav-links {
    gap: 2rem;
    list-style: none;
    font-size: 1.1rem;
}

a {
    text-decoration: none;
    color: black;
    text-decoration-color: white;
}

a:hover, .btn:hover {
    color: grey;
    text-decoration: underline;
    text-underline-offset: 1rem;
}

.nav-links a.active {
    color: black;
    text-decoration: underline;
    text-underline-offset: 0.5rem;
    text-decoration-thickness: 2px;
    text-decoration-color: black;
    font-weight: 600;
}

.dropdown-menu a.active {
    color: black;
    text-decoration: underline;
    text-underline-offset: 0.5rem;
    text-decoration-thickness: 2px;
    text-decoration-color: black;
    font-weight: 600;
}

.logo img {
    height: 80px;
}

.logo:hover {
    cursor: pointer;
}

#hamburger-nav {
    display: none;
}

.hamburger-menu {
    position: relative;
    display: inline-block;
}

.hamburger-icon {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 24px;
    width: 30px;
    cursor: pointer;
}

.hamburger-icon span {
    display: block;
    height: 2px;
    width: 100%;
    background-color: black;
    border-radius: 2px;
    transition: all 0.3s ease-in-out;
}

.dropdown-menu {
    position: absolute;
    background-color: white;
    top: 48px;
    right: 0;
    border-radius: 8px;
    width: 160px;
    max-height: 0;
    box-shadow: 0 8px 24px rgba(0, 0, 0, 0.15);
    overflow: hidden;
    transition: all 0.3s ease-in-out;
    z-index: 1100;
}

.dropdown-menu a {
    display: block;
    padding: 10px;
    text-align: center;
    font-size: 1.5rem;
    color: black;
    text-decoration: none;
    transition: all 0.3s ease-in-out;
}

.dropdown-menu li {
    list-style: none;
}

.dropdown-menu.open {
    max-height: 500px;
}

.hamburger-icon.open span:first-child {
    transform: rotate(45deg) translate(10px, 5px);
}

.hamburger-icon.open span:nth-child(2) {
    opacity: 0;
}

.hamburger-icon.open span:last-child {
    transform: rotate(-45deg) translate(10px, -5px);
}

.hamburger-icon span:first-child {
    transform: none;
}

.hamburger-icon span:first-child {
    opacity: 1;
}

.hamburger-icon span:first-child {
    transform: none;
}

/* SECTION STYLES */

section {
    margin: 0;
    box-sizing: border-box;
    min-height: auto;
    height: auto;
}

/* PROFILE STYLES */

#profile {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 3rem;
    min-height: 90vh;
    height: auto;
    padding: 4rem 10rem;
    overflow: hidden;
}

#profile::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url('./assets/bg.png');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    opacity: 0.04;
    z-index: 0;
}

#profile > * {
    position: relative;
    z-index: 1;
}

.profile-pic {
    display: flex;
    justify-content: center;
    margin: auto 0;
    margin-bottom: -4rem;
}

.profile-pic img {
    width: 250px;
    height: 250px;
    border-radius: 50%;
    object-fit: cover;
    opacity: 1;
}

.profile-info {
    align-self: center;
    text-align: center;
    font-family: "Poppins", sans-serif;
}

.profile-info h1 {
    font-size: 2.5rem;
    font-weight: 600;
}

.profile-info p {
    font-size: 1.5rem;
    font-weight: 400;
}

.profile-desc {
    max-width: 1100px;
    margin: 0 auto;
    text-align: center;
}

.profile-desc h2 {
    font-size: 2rem;
    font-weight: 600;
    margin-bottom: 1rem;
    color: black;
}

.profile-desc .profile-desc-text {
    font-size: 1.2rem;
    font-weight: 600;
    margin-bottom: 1rem;
    color: black;
}

.profile-desc p {
    font-size: 1.2rem;
    font-weight: 400;
    margin-bottom: 0.5rem;
}

.social-links {
    margin-top: -1rem;
    display: flex;
    justify-content: center;
    gap: 1rem;
    margin-bottom: 2rem;
}

.social-icon {
    width: 40px;
    height: 40px;
    cursor: pointer;
}

/* BUTTON STYLES */

.btn-container {
    display: flex;
    justify-content: center;
    gap: 1rem;
}

.btn {
    padding: 0.8rem 1.5rem;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 1.5rem;
    font-family: "Poppins", sans-serif;
    font-weight: 500;
}

.btn-primary {
    background-color: black;
    color: white;
}

.btn-secondary {
    background-color: white;
    color: black;
    border: 1px solid black;
}

.btn-primary:hover {
    background-color: grey;
    color: white;
    text-decoration: none;
}

.btn-secondary:hover {
    background-color: lightgrey;
    color: black;
    text-decoration: none;
}

/* FEATURED PROJECTS STYLES */

#featured-projects {
    padding: 2rem 0 3rem;
}

.section-title {
    text-align: center;
    font-size: 2.5rem;
    font-weight: 600;
    margin: 1rem 0 2rem;
}

.projects-grid {
    display: flex;
    justify-content: center;
    margin-top: 2rem;
    flex-direction: row;
    gap: 2rem;
    margin: 0 auto;
    padding: 0 1rem;
    flex-wrap: wrap;
    margin-bottom: 2rem;
}

.project-card {
    background-color: white;
    width: 700px;
    padding: 1rem;
    border: 1px solid lightgrey;
    border-radius: 8px;
    overflow: hidden;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
    margin-bottom: 0;
}

.project-card:hover {
    transform: translateY(-5px);
}

.project-image {
    width: 100%;
    height: 200px;
    object-fit: cover;
}

.project-title {
    text-align: center;
    font-size: 1.6rem;
    font-weight: 600;
    margin: 1rem 0;
}

.project-subtitle {
    text-align: center;
    font-size: 1.4rem;
    font-weight: 500;
    color: grey;
    margin-top: -0.8rem;
    margin-bottom: 1rem;
}

.project-description {
    font-size: 1.1rem;
    font-weight: 400;
    padding: 0 1rem 1rem;
    margin-bottom: 0.5rem;
}
    
.project-description_fingerprint {
    font-size: 1.1rem;
    font-weight: 400;
    padding: 0 1rem 1rem;
    margin-bottom: 1.17rem;
}

.project-card .btn {
    width: calc(100% - 2rem);
    margin: 0 1rem 1rem;
    font-size: 1.2rem;
    padding: 0.5rem;
}

/* SKILLS SECTION STYLES */

#skills {
    padding: 2rem 0;
}

.skills-grid {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 1rem;
    max-width: 1000px;
    margin: 2rem auto 0 auto;
    padding: 0 2rem;
}

.skill-item {
    background-color: white;
    padding: 1rem;
    border: 1px solid lightgrey;
    border-radius: 8px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    font-size: 1.2rem;
    font-weight: 500;
    transition: transform 0.3s ease;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}

.skill-item:hover {
    transform: translateY(-5px);
}

/* KNOW MORE SECTION STYLES */
#know-more {
    padding: 2rem 0 4rem;
    text-align: center;
    margin: 2rem auto 0 auto;
}

.know-more-description {
    text-align: center;
    font-size: 1.2rem;
    font-weight: 400;
    margin-bottom: 1.5rem;
    max-width: auto;
    padding: 0 1rem;
}

#know-more .btn {
    font-size: 1.5rem;
    padding: 0.8rem 2rem;
}

/* FOOTER STYLES */

footer div {
    padding: 1rem 1rem;
}

footer hr {
    border: none;
    border-top: 1px solid lightgrey;
    margin: 0;
}

.footer-content {
    display: grid;
    grid-template-columns: 1fr auto 1fr;
    align-items: center;
    gap: 2rem;
    max-width: 1400px;
    margin: 0 auto;
}

.rights {
    justify-self: start;
    text-align: start;
}

.footer-social-links {
    justify-self: center;
    text-align: center;
}

.contact-me {
    justify-self: end;
    text-align: end;
}

.contact-me h3 {
    text-align: left;
}

.footer-social-icons {
    display: flex;
    justify-content: center;
    gap: 1rem;
}

.footer-social-icon {
    width: 30px;
    height: 30px;
    cursor: pointer;
}

.contact-me .btn {
    font-size: 1.2rem;
    padding: 0.5rem 1rem;
}

/* ABOUT PAGE STYLES */
.profile-pic_about {
    display: flex;
    justify-content: center;
}

.profile-pic_about img {
    width: 250px;
    height: 250px;
    border-radius: 50%;
    object-fit: cover;
    
}

.profile-info_about h1 {
    text-align: center;
    font-size: 2.5rem;
    margin-bottom: 1rem;
}

.profile-info_about,
.profile-highlights {
    max-width: 1100px;
    margin: 0 auto;
    padding: 0 3rem;
    text-align: center;
}

.profile-highlights {
    text-align: left;
}

.profile-desc-text {
    margin-bottom: 1.2rem;
    font-size: 1.5rem;
    font-weight: 400;
    color: black;
}

.profile-desc-text_2 {
    margin-bottom: 2rem;
    font-size: 1.2rem;
    font-weight: 400;
}

.btn-container_about {
    display: flex;
    justify-content: center;
    gap: 1rem;
    margin-bottom: 3rem;
}

.profile-highlights h2,
.skills-container_about h2 {
    font-size: 2rem;
    text-align: center;
    margin-bottom: 1rem;
}

.profile-highlights ul {
    list-style-type: disc;
    padding-left: 1.5rem;
    margin-bottom: 2rem;
    font-size: 1.2rem;
    font-weight: 400;
}

.profile-highlights li {
    margin-bottom: 0.5rem;
}

.skills-container_about {
    margin-bottom: 5rem;
}

/* CONTACT PAGE STYLES */

#contact {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-height: calc(100vh - 7vh);
    padding: 2rem 1rem;
    margin: 0 auto;
    text-align: center;
}

.card-container {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    width: 100%;
    max-width: 1000px;
    padding: 0 1rem;
    box-sizing: border-box;
}

.card {
    margin: 0;
    background-color: white;
    width: 600px;
    padding: 1rem;
    border: 1px solid lightgrey;
    border-radius: 8px;
    overflow: hidden;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
    margin-bottom: 3rem;
}

.card-title {
    font-size: 2rem;
    font-weight: 600;
    margin-bottom: 0.5rem;
}

.card-description {
    font-size: 1.2rem;
    font-weight: 400;
    margin-bottom: 1rem;
    color: #555;
}

.card-description-2 {
    font-size: 1rem;
    font-weight: 350;
    margin-bottom: 1rem;
    color: #555;
}

form {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 2rem;
    text-align: left;
    width: 100%;
}

.form-group {
    width: 100%;
    max-width: 550px;
    display: flex;
    flex-direction: column;
}

label {
    font-size: 1.2rem;
    font-weight: 600;
    margin-bottom: 0.5rem;
    color: #555;
}

input,
textarea,
select {
    width: 100%;
    padding: 0.5rem;
    margin-bottom: 1rem;
    border: 1px solid lightgrey;
    border-radius: 4px;
    font-size: 1.2rem;
    font-weight: 400;
    color: #555;
    box-sizing: border-box;
}

textarea {
    min-height: 120px;
    resize: vertical;
    margin-bottom: 2rem;
    font-family: Poppins, sans-serif;
    font-size: 1rem;
    font-weight: 400;
    color: #555;
}

input::placeholder,
textarea::placeholder {
    color: #999;
    font-weight: 400;
    opacity: 1;
    font-size: 1rem;
}

input:focus::placeholder,
textarea:focus::placeholder {
  color: #bbb;
}

#contact button {
  margin-bottom: 1rem;
}

/* PROJECTS PAGE STYLES */

#projects {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-height: calc(100vh - 7vh);
    padding: 2rem 1rem;
    margin: 0 auto;
    text-align: center;
}

#projects h1 {
    font-size: 2.5rem;
    font-weight: 600;
    margin-bottom: 2rem;
}

.projects-section-description {
    font-size: 1.2rem;
    font-weight: 400;
    margin-bottom: 2rem;
    color: #555;
    max-width:  1000px;
}

.projects-container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 2rem;
    padding: 0 1rem;
    margin-bottom: 2rem;
}

.project-cards {
    background-color: white;
    width: 100%;
    max-width: 1000px;
    padding: 2rem;
    border: 1px solid lightgrey;
    border-radius: 8px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
    box-sizing: border-box;
    position: relative;
}

.project-cards:hover {
    transform: translateY(-5px);
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.15);
}

.project-cards p,
.skills-used-grid {
    width: 75%;
    max-width: 750px;
    margin: 0;
    padding-right: 2rem;
    text-align: left;
    font-size: 1.1rem;
    color: #333;
    box-sizing: border-box;
}

.skills-used-grid {
    display: flex;
    flex-wrap: wrap;
    gap: 0.5rem;
    margin-top: 1rem;
    margin-bottom: 1rem;
    justify-content: flex-start;
}

.project-cards .btn {
    position: absolute;
    right: 2rem;
    top: 50%;
    transform: translateY(-50%);
    width: auto;
    margin: 0;
    padding: 0.6rem 1.25rem;
    font-size: 1.2rem;
    font-weight: 400;
    white-space: nowrap;
}

.project-cards h2 {
    font-size: 1.5rem;
    font-weight: 600;
    margin-bottom: 0.5rem;
    text-align: left;
}

.skill {
    padding: 0.5rem 1rem;
    border: 1px solid lightgrey;
    border-radius: 4px;
    font-size: 1rem;
    font-weight: 400;
    color: #555;
}

#more-projects-link {
    margin-top: 1.5rem;
    font-size: 1.2rem;
    font-weight: 400;
    color: #555;
    padding: 0 1rem;
}

#more-projects-link p {
    margin-bottom: 5rem;
    text-align: center;
}

#more-projects-link a {
    color: #555;
    font-weight: 600;
}

#more-projects-link a:hover {
    color: black;
    text-decoration: underline;
    text-underline-offset: 0.5rem;
    text-decoration-thickness: 2px;
    text-decoration-color: black;
    font-weight: 600;
}

/* WAREHOUSE PAGE STYLES */

#warehouse-project {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-height: calc(100vh - 7vh);
    padding: 2rem 1.5rem;
    margin: 0 auto;
    text-align: center;
}

#warehouse-project h1 {
    font-size: 2.5rem;
    font-weight: 600;
    margin-bottom: 1rem;
}

.tagline {
    font-size: 1.2rem;
    font-weight: 400;
    margin-bottom: 2rem;
    color: #555;
    max-width:  1000px;
}

.project-overview {
    background-color: white;
    width: 100%;
    max-width: 1000px;
    padding: 2rem;
    border: 1px solid lightgrey;
    border-radius: 8px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
    box-sizing: border-box;
    position: relative;
    text-align: left;
    margin: 0 auto 2rem;
}

.project-overview p {
    font-size: 1.1rem;
    font-weight: 400;
    margin-bottom: 1rem;
    color: #333;
}

.project-overview h2 {
    font-size: 2rem;
    font-weight: 600;
    margin-bottom: 1rem;
    color: black;
}

.project-approach {
    background-color: white;
    width: 100%;
    max-width: 1000px;
    padding: 2rem;
    border: 1px solid lightgrey;
    border-radius: 8px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
    box-sizing: border-box;
    position: relative;
    text-align: left;
    margin: 0 auto 2rem;
}

.project-approach p {
    font-size: 1.1rem;
    font-weight: 400;
    margin-bottom: 1rem;
    color: #333;
}

.project-approach h2 {
    font-size: 2rem;
    font-weight: 600;
    margin-bottom: 1rem;
    color: black;
}

.project-features {
    background-color: white;
    width: 100%;
    max-width: 1000px;
    padding: 2rem;
    border: 1px solid lightgrey;
    border-radius: 8px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
    box-sizing: border-box;
    position: relative;
    text-align: left;
    margin: 0 auto 2rem;
}

.project-features li {
    font-size: 1.1rem;
    font-weight: 400;
    margin-bottom: 0.5rem;
    color: #333;
}

.project-features h2 {
    font-size: 2rem;
    font-weight: 600;
    margin-bottom: 1rem;
    color: black;
}

.project-features ul {
    padding-left: 1.5rem;
}

.project-features li::before {
    content: "\2022";
    color: black;
    font-weight: bold;
    display: inline-block;
    width: 1em;
    margin-left: -1em;
}

.project-skills-used {
    background-color: white;
    width: 100%;
    max-width: 1000px;
    padding: 2rem;
    border: 1px solid lightgrey;
    border-radius: 8px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
    box-sizing: border-box;
    position: relative;
    text-align: left;
    margin: 0 auto 2rem;
}

.project-skills-used h2 {
    font-size: 2rem;
    font-weight: 600;
    margin-bottom: 1rem;
    color: black;
}

.project-skills-used ul {
    padding-left: 1.5rem;
}

.project-skills-used li {
    font-size: 1.1rem;
    font-weight: 400;
    margin-bottom: 0.5rem;
    color: #333;
}

.project-skills-used li::before {
    content: "\2022";
    color: black;
    font-weight: bold;
    display: inline-block;
    width: 1em;
    margin-left: -1em;
}

.project-benefits {
    background-color: white;
    width: 100%;
    max-width: 1000px;
    padding: 2rem;
    border: 1px solid lightgrey;
    border-radius: 8px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
    box-sizing: border-box;
    position: relative;
    text-align: left;
    margin: 0 auto 2rem;
}

.project-benefits h2 {
    font-size: 2rem;
    font-weight: 600;
    margin-bottom: 1rem;
    color: black;
}

.project-benefits ul {
    padding-left: 1.5rem;
}

.project-benefits li {
    font-size: 1.1rem;
    font-weight: 400;
    margin-bottom: 0.5rem;
    color: #333;
}

.project-benefits li::before {
    content: "\2022";
    color: black;
    font-weight: bold;
    display: inline-block;
    width: 1em;
    margin-left: -1em;
}

.project-status {
    background-color: white;
    width: 100%;
    max-width: 1000px;
    padding: 2rem;
    border: 1px solid lightgrey;
    border-radius: 8px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
    box-sizing: border-box;
    position: relative;
    text-align: left;
    margin: 0 auto 2rem;
}

.project-status h2 {
    font-size: 2rem;
    font-weight: 600;
    margin-bottom: 1rem;
    color: black;
}

.project-status p {
    font-size: 1.1rem;
    font-weight: 400;
    color: #333;
}

.project-github-link {
    background-color: white;
    width: 100%;
    max-width: 1000px;
    padding: 2rem;
    border: 1px solid lightgrey;
    border-radius: 8px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
    box-sizing: border-box;
    position: relative;
    text-align: left;
    margin: 0 auto 2rem;
}

.project-github-link h2 {
    font-size: 2rem;
    font-weight: 600;
    margin-bottom: 1rem;
    color: black;
}

.project-github-link p {
    font-size: 1.1rem;
    font-weight: 400;
    color: #333;
}

.project-github-link .btn {
    position: static;
    transform: none;
    margin-top: 1rem;
    font-size: 1.2rem;
}

/* FINGERPRINT PROJECT PAGE STYLES */

#fingerprint-project {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-height: calc(100vh - 7vh);
    padding: 2rem 1.5rem;
    margin: 0 auto;
    text-align: center;
}

#fingerprint-project h1 {
    font-size: 2.5rem;
    font-weight: 600;
    margin-bottom: 1rem;
}

/* SALES CATEGORISATION PROJECT PAGE STYLES */
#ML-project {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-height: calc(100vh - 7vh);
    padding: 2rem 1.5rem;
    margin: 0 auto;
    text-align: center;
}

#ML-project h1 {
    font-size: 2.5rem;
    font-weight: 600;
    margin-bottom: 1rem;
}

.what-was-delivered {
    background-color: white;
    width: 100%;
    max-width: 1000px;
    padding: 2rem;
    border: 1px solid lightgrey;
    border-radius: 8px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
    box-sizing: border-box;
    position: relative;
    text-align: left;
    margin: 0 auto 2rem;
}

.what-was-delivered h2 {
    font-size: 2rem;
    font-weight: 600;
    margin-bottom: 1rem;
    color: black;
}

.what-was-delivered p {
    font-size: 1.1rem;
    font-weight: 400;
    color: #333;
}